•   
  • 1
  • 282
  • 283
  • 284(current)
  • 285
  • 286
  • 296
  •   
Release skin helper service
https://github.com/kodi-community-addons

Is there a particular sequence to install the modules required (which?) to finally install the skin helper service?

I am sorry, but I am a little bit confused by now. Smile

Thanks anyway for your efforts! Smile Smile
KODI 19 - LibreELEC 10 

Intel NUC 4250U (Haswell) in Abel H2 chassis, Philips 55OLED804
 
Reply
Use this lnk and that order for installation
https://forum.kodi.tv/showthread.php?tid...pid3017145
XBoxMediaCenter (Kodi Matrix ) 19.0 , AndroidBox -Matrix Skin AeonMQ6
Reply
(2021-02-26, 13:22)Angelinas Wrote: Use this lnk and that order for installation
https://forum.kodi.tv/showthread.php?tid...pid3017145

We agree on that these are scripts/moduls for Matrix, right? (Just to be sure.)
KODI 19 - LibreELEC 10 

Intel NUC 4250U (Haswell) in Abel H2 chassis, Philips 55OLED804
 
Reply
(2021-02-26, 15:17)Ipaddle Wrote: We agree on that these are scripts/moduls for Matrix, right? (Just to be sure.)
Eek be sure....yes, for Matrix Kodi 19
XBoxMediaCenter (Kodi Matrix ) 19.0 , AndroidBox -Matrix Skin AeonMQ6
Reply
(2021-02-26, 13:22)Angelinas Wrote: Use this lnk and that order for installation
https://forum.kodi.tv/showthread.php?tid...pid3017145
Thanks and credits to @Angelinas!

After first installations sequence, som of the scripts and modules will not install due to missing dependencies, but second installation sequence with the first failed scripts and modules everything went fine. Now the skin helper service works. Thanks a lot!
KODI 19 - LibreELEC 10 

Intel NUC 4250U (Haswell) in Abel H2 chassis, Philips 55OLED804
 
Reply
(2021-02-26, 02:04)Maxi Wrote:
(2021-02-25, 06:19)djhifi Wrote: @Angelinas  Installed everything in your mega .zip (cherry.py I downloaded from the github since it's version 12 and zip is not) and skin helper backgrounds is throwing the following error in the log:
Quote:2021-02-25 04:15:44.036 T:6504    ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                   Error Type: <class 'NameError'>
                                                   Error Contents: name 'traceback' is not defined
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 24, in <module>
                                                       from PIL import Image
                                                   ModuleNotFoundError: No module named 'PIL'
                                                   
                                                   During handling of the above exception, another exception occurred:
                                                   
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/service.py", line 9, in <module>
                                                       from resources.lib.backgrounds_updater import BackgroundsUpdater
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/backgrounds_updater.py", line 25, in <module>
                                                       from .wallimages import WallImages
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/wallimages.py", line 29, in <module>
                                                       log_exception(__name__, exc)
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.backgrounds/resources/lib/utils.py", line 28, in log_exception
                                                       lines = traceback.format_exception(exc_type, exc_value, exc_traceback)
                                                   NameError: name 'traceback' is not defined
                                                   -->End of Python script error report<--

Yeap, same error I reported some da back

PIL is a Python 2 module/library. It has to be replaced with PILLOW

See here: https://pillow.readthedocs.io/en/stable/about.html

And Wikipedia:
Development appears to be discontinued, with the last commit to the PIL repository coming in 2011.[2] Consequently, a successor project called Pillow has forked the PIL repository and added Python 3.x support.[4] This fork has been adopted as a replacement for the original PIL in Linux distributions including Debian[5] and Ubuntu (since 13.04).[6]

Yeah, I've read your post only after making mine Tongue

We have to wait for Angelinas to push it, it seems?
I've installed the script anyway, but disabled it, since Aeon Nox:SiLVO (the one I'm using) doesn't need this one.
Reply
(2021-01-17, 00:03)Angelinas Wrote:
(2021-01-16, 23:00)melons2 Wrote: Is there a "script.tv.show.next.aired" for Matrix?
I thought that script was still in python 2?

 Try mine version, I didnt try in tvguide, its ok for Shs part .......working for Matrix
https://mega.nz/file/DEgBwSBC#peVdf4m18p...P4i5Avs-xs
I've tested this version on Aeon Nox: SiLVO and it doesn't seem to be doing anything. It's also not giving any errors, but when I run it to populate my .db, it gives a quick popup and nothing.

And of course, skin isn't populated with the information as well.
Reply
(2021-02-28, 06:45)djhifi Wrote:
(2021-01-17, 00:03)Angelinas Wrote:
(2021-01-16, 23:00)melons2 Wrote: Is there a "script.tv.show.next.aired" for Matrix?
I thought that script was still in python 2?

 Try mine version, I didnt try in tvguide, its ok for Shs part .......working for Matrix
https://mega.nz/file/DEgBwSBC#peVdf4m18p...P4i5Avs-xs
I've tested this version on Aeon Nox: SiLVO and it doesn't seem to be doing anything. It's also not giving any errors, but when I run it to populate my .db, it gives a quick popup and nothing.

And of course, skin isn't populated with the information as well.
That is skin problem...
Image

remove this two n xml in skin, or assq author to fix dialog for script.tv.show.next.aired
script-NextAired-TVGuide.xml
script-NextAired-TVGuide2.xml

Ahnd you have something like this:

Image

Edit: In log :
WARNING <general>: Skin has invalid include: TVGuideItem
WARNING <general>: Skin has invalid include: TVNextAiredListCommonLayout

from github:
Remove support for TV Show Next Aired and use plugin.video.themoviedb…
https://github.com/mikesilvo164/Aeon-Nox...748ba33268
XBoxMediaCenter (Kodi Matrix ) 19.0 , AndroidBox -Matrix Skin AeonMQ6
Reply
(2021-02-28, 09:39)Angelinas Wrote:
(2021-02-28, 06:45)djhifi Wrote:
(2021-01-17, 00:03)Angelinas Wrote:  Try mine version, I didnt try in tvguide, its ok for Shs part .......working for Matrix
https://mega.nz/file/DEgBwSBC#peVdf4m18p...P4i5Avs-xs
I've tested this version on Aeon Nox: SiLVO and it doesn't seem to be doing anything. It's also not giving any errors, but when I run it to populate my .db, it gives a quick popup and nothing.

And of course, skin isn't populated with the information as well.
That is skin problem...
Image

remove this two n xml in skin, or assq author to fix dialog for script.tv.show.next.aired
script-NextAired-TVGuide.xml
script-NextAired-TVGuide2.xml

Ahnd you have something like this:

Image

Edit: In log :
WARNING <general>: Skin has invalid include: TVGuideItem
WARNING <general>: Skin has invalid include: TVNextAiredListCommonLayout

from github:
Remove support for TV Show Next Aired and use plugin.video.themoviedb…
https://github.com/mikesilvo164/Aeon-Nox...748ba33268

You're awesome, always on top of things. Yes, I reported the issue in the skin too, since I thought it was indeed a skin issue. Thanks for posting a quick fix but I think the developer has changed to TMDB helper to populate the next episode airing etc.

I will keep using this one too, because I like the TV Guide.
Reply
@Angelinas I think I've found out an issue with skinhelper backup. When I run it I get:
Quote:2021-03-01 01:04:10.961 T:18903   ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                   Error Type: <class 'NameError'>
                                                   Error Contents: name 'traceback' is not defined
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/default.py", line 26, in __init__
                                                       BackupRestore().backuprestore()
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/resources/lib/backuprestore.py", line 123, in backuprestore
                                                       listitem = xbmcgui.ListItem(label=label, iconImage="DefaultFolder.png")
                                                   TypeError: 'iconImage' is an invalid keyword argument for this function
                                                   
                                                   During handling of the above exception, another exception occurred:
                                                   
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/default.py", line 120, in <module>
                                                       Main()
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/default.py", line 34, in __init__
                                                       log_exception(__name__, exc)
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/resources/lib/utils.py", line 31, in log_exception
                                                       lines = traceback.format_exception(exc_type, exc_value, exc_traceback)
                                                   NameError: name 'traceback' is not defined
Reply
(2021-03-01, 03:06)djhifi Wrote: @Angelinas I think I've found out an issue with skinhelper backup. When I run it I get:
Quote:2021-03-01 01:04:10.961 T:18903   ERROR <general>: EXCEPTION Thrown (PythonToCppException) : -->Python callback/script returned the following error<--
                                                    - NOTE: IGNORING THIS CAN LEAD TO MEMORY LEAKS!
                                                   Error Type: <class 'NameError'>
                                                   Error Contents: name 'traceback' is not defined
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/default.py", line 26, in __init__
                                                       BackupRestore().backuprestore()
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/resources/lib/backuprestore.py", line 123, in backuprestore
                                                       listitem = xbmcgui.ListItem(label=label, iconImage="DefaultFolder.png")
                                                   TypeError: 'iconImage' is an invalid keyword argument for this function
                                                   
                                                   During handling of the above exception, another exception occurred:
                                                   
                                                   Traceback (most recent call last):
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/default.py", line 120, in <module>
                                                       Main()
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/default.py", line 34, in __init__
                                                       log_exception(__name__, exc)
                                                     File "/storage/emulated/0/Android/data/org.xbmc.kodi/files/.kodi/addons/script.skin.helper.skinbackup/resources/lib/utils.py", line 31, in log_exception
                                                       lines = traceback.format_exception(exc_type, exc_value, exc_traceback)
                                                   NameError: name 'traceback' is not defined
That was fixed in last year...
Please use script and module from github....version is 1.0.19
XBoxMediaCenter (Kodi Matrix ) 19.0 , AndroidBox -Matrix Skin AeonMQ6
Reply
Angelinas Wrote: For now just install from zip....in next days I will upload all needing module on Marcel repo, for "Install addon Automatically"....for Matrix

Don't want to nag too much, but has there been progress on pushing the python v3/Matrix changes of all required addons from the kodi-community-addons github repo to the Kodi addons repo to be available for automatic download for everyone?
OSMC Skinner      |    The OSMC Skin for Kodi v19 Matrix (native 16:9, 21:9 and 4:3 skin, special cinemascope/CIH version available)      |     GitHub: https://github.com/Ch1llb0/skin.osmc
Reply
(2021-03-01, 10:36)Chillbo Wrote:
Angelinas Wrote: For now just install from zip....in next days I will upload all needing module on Marcel repo, for "Install addon Automatically"....for Matrix

Don't want to nag too much, but has there been progress on pushing the python v3/Matrix changes of all required addons from the kodi-community-addons github repo to the Kodi addons repo to be available for automatic download for everyone?

Nope! In fact the KODI Matrix repo is pretty bare
Reply
I'm aware, but maybe @Angelinas has made some progress on this besides what's visible in the Kod repo.
OSMC Skinner      |    The OSMC Skin for Kodi v19 Matrix (native 16:9, 21:9 and 4:3 skin, special cinemascope/CIH version available)      |     GitHub: https://github.com/Ch1llb0/skin.osmc
Reply
(2021-02-21, 13:55)Angelinas Wrote: @Maxi 
I don't have Matrix Android, I can't made test....OK, this is first test and looking good Smile

- ModuleNotFoundError: No module named 'PIL..... I was thinking that is part of Kodi....need to dig more

- NameError: name 'traceback' is not defined
In Windows worrking PIL ,I don't have that 'traceback'  error.I will add in utils.py "import traceback" in row 10.That will fix isue with log_exception.


@Angelinas 

I checked the code, ad seems I was wrong... it looks like Pillow is being used. Also I saw an old Bug reporting that Pillow was missing from Matrix, and the PR that close the bug only talks about including Pillow with the Windows packages...

I am asking on the Android section of the forum if it could be that Pillow was not included when creating the APK packages

Thanks
Reply
  •   
  • 1
  • 282
  • 283
  • 284(current)
  • 285
  • 286
  • 296
  •   



Logout Mark Read Team Forum Stats Members Help
skin helper service18
This forum uses Lukasz Tkacz MyBB addons.